coreboot-kgpe-d16/util/gitconfig/test/helpers.sh
Patrick Georgi 6b5bc77c9b treewide: Remove "this file is part of" lines
Stefan thinks they don't add value.

Command used:
sed -i -e '/file is part of /d' $(git grep "file is part of " |egrep ":( */\*.*\*/\$|#|;#|-- | *\* )" | cut -d: -f1 |grep -v crossgcc |grep -v gcov | grep -v /elf.h |grep -v nvramtool)

The exceptions are for:
 - crossgcc (patch file)
 - gcov (imported from gcc)
 - elf.h (imported from GNU's libc)
 - nvramtool (more complicated header)

The removed lines are:
-       fmt.Fprintln(f, "/* This file is part of the coreboot project. */")
-# This file is part of a set of unofficial pre-commit hooks available
-/* This file is part of coreboot */
-# This file is part of msrtool.
-/* This file is part of msrtool. */
- * This file is part of ncurses, designed to be appended after curses.h.in
-/* This file is part of pgtblgen. */
- * This file is part of the coreboot project.
- /* This file is part of the coreboot project. */
-#  This file is part of the coreboot project.
-# This file is part of the coreboot project.
-## This file is part of the coreboot project.
--- This file is part of the coreboot project.
-/* This file is part of the coreboot project */
-/* This file is part of the coreboot project. */
-;## This file is part of the coreboot project.
-# This file is part of the coreboot project. It originated in the
- * This file is part of the coreinfo project.
-## This file is part of the coreinfo project.
- * This file is part of the depthcharge project.
-/* This file is part of the depthcharge project. */
-/* This file is part of the ectool project. */
- * This file is part of the GNU C Library.
- * This file is part of the libpayload project.
-## This file is part of the libpayload project.
-/* This file is part of the Linux kernel. */
-## This file is part of the superiotool project.
-/* This file is part of the superiotool project */
-/* This file is part of uio_usbdebug */

Change-Id: I82d872b3b337388c93d5f5bf704e9ee9e53ab3a9
Signed-off-by: Patrick Georgi <pgeorgi@google.com>
Reviewed-on: https://review.coreboot.org/c/coreboot/+/41194
Reviewed-by: HAOUAS Elyes <ehaouas@noos.fr>
Tested-by: build bot (Jenkins) <no-reply@coreboot.org>
2020-05-11 17:11:40 +00:00

66 lines
1.9 KiB
Bash

#!/bin/bash
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; version 3 or later of the License.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## SPDX-License-Identifier: GPL-3.0-or-later
## <https://spdx.org/licenses/GPL-3.0-or-later.html>
##
set -o errexit
set -o nounset
# dependency check
dependencies=(cut git readlink)
for dependency in "${dependencies[@]}"; do
if ! command -v "${dependency}" 1>/dev/null; then
echo "missing ${dependency}, test skipped" >&2
exit 0
fi
done
# helper functions
function clone_submodules() {
clone_dir="${1}"
log_dir="${2}"
modules_dir="$(readlink --canonicalize-missing \
"$(git rev-parse --git-dir)/modules")"
cd "${clone_dir}"
git submodule init 1>>"${log_dir}/clone.log" 2>&1
for submodule in $(git config --get-regexp "submodule\..*\.url" \
| cut --delimiter=. --fields=2); do
git config "submodule.${submodule}.url" \
"${modules_dir}/${submodule}"
done
git submodule update 1>>"${log_dir}/clone.log" 2>&1
}
function check_exit_code() {
declare -i err=${?}
# either "positive" or "negative"
polarity="${1}"
log_file="${2}"
# exit code 124 is special as per `timeout` manpage
if [ "${polarity}" == "positive" ] && [ ${err} -eq 124 ]; then
echo >&2 "timed out"
fi
if [ "${polarity}" == "positive" ] && [ ${err} -ne 0 ]; then
echo "bad exit code: expected 0, actually ${err}"
echo "for details, refer to log file \"${log_file}\""
exit ${err}
elif [ "${polarity}" == "negative" ] && [ ${err} -eq 0 ]; then
echo "bad exit code: expected non-zero, actually 0"
echo "for details, refer to log file \"${log_file}\""
exit 1
fi
}